/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.wsrp.web.internal.util;

import com.liferay.wsrp.model.WSRPConsumer;
import com.liferay.wsrp.util.WSRPConsumerManager;
import com.liferay.wsrp.util.WSRPConsumerManagerFactory;

import org.osgi.service.component.annotations.Component;
import org.osgi.service.component.annotations.Reference;

/**
 * @author Matthew Tambara
 */
@Component(immediate = true)
public class WSRPConsumerManagerFactoryUtil {

	public static WSRPConsumerManager getWSRPConsumerManager(
			WSRPConsumer wsrpConsumer)
		throws Exception {

		return _wsrpConsumerManagerFactory.getWSRPConsumerManager(wsrpConsumer);
	}

	public static boolean testWSRPConsumerManager(WSRPConsumer wsrpConsumer) {
		return _wsrpConsumerManagerFactory.testWSRPConsumerManager(
			wsrpConsumer);
	}

	@Reference(unbind = "-")
	protected void setWSRPConsumerManagerFactory(
		WSRPConsumerManagerFactory wsrpConsumerManagerFactory) {

		_wsrpConsumerManagerFactory = wsrpConsumerManagerFactory;
	}

	private static WSRPConsumerManagerFactory _wsrpConsumerManagerFactory;

}